Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Register for runtime instrument error handling.

Request

Key needs to be just letters, digits and no spaces.

Security
Bearer
Body

The key representing the client which is registering for error handling

string
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/error-handler' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0'

Responses

Success.

Bodyapplication/json; x-api-version=3.0
string
Response
application/json; x-api-version=3.0
"Error handler registration successful"

Remove the registration for runtime instrument error handling.

Request

Security
Bearer
Body

The key representing the client which is unregistering for error handling

string
curl -i -X DELETE \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/error-handler' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0'

Responses

Success.

Bodyapplication/json; x-api-version=3.0
string
Response
application/json; x-api-version=3.0
"Error handler unregistration successful"

Determines whether any error handler has been registered.

Request

This endpoint checks the status of the error handling service and returns a boolean value indicating whether an error handler is available.

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/error-handler' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns true if an error handler is registered; otherwise false.

Body
boolean
Response
true

Retrieves unhandled error information for client to handle.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/instrument-errors/unhandled' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success.

Body
dataArray of objects or null(ICollection<ErrorData>)
messagestring or null
successboolean
Response

This is an example tip pickup error.

{ "data": [ {} ], "message": null, "success": true }

Submit a recovery solution.

Request

Security
Bearer
Path
uuidstring(uuid)required

error identifier

Body

Error recovery information.Hamilton.InstrumentErrorRecovery.Models.ErrorRecovery

datestring(date-time)
uuidstring(uuid)
detailedErrorRecoveriesArray of objects or null(IEnumerable<DetailedErrorRecovery>)
inputsArray of objects or null(IEnumerable<InputValue>)
selectedActionIdinteger(int32)
selectedActionIsRecoveryboolean
errorHandlingKeystring or null
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/instrument-errors/{uuid}/recovery' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "date": "2025-11-06T14:46:03Z",
    "uuid": "88922548-5225-4b3d-9649-d1827147b774",
    "detailedErrorRecoveries": [
      {
        "date": "2025-11-06T14:46:03Z",
        "uuid": "9a90fb92-9736-4fb6-9f06-08c0b1a5b9b2",
        "inputs": [
          {
            "id": 0,
            "value": "false"
          },
          {
            "id": 1,
            "value": "2"
          },
          {
            "id": 2,
            "value": "3"
          }
        ],
        "selectedActionId": 1029,
        "selectedActionIsRecovery": true
      }
    ],
    "inputs": [],
    "selectedActionId": 1,
    "selectedActionIsRecovery": true,
    "errorHandlingKey": "testAppKey"
  }'

Responses

Success.

Body
datastring or null
messagestring or null
successboolean
Response
{ "data": "string", "message": "string", "success": true }

Submit a recovery action

Request

Security
Bearer
Path
uuidstring(uuid)required

error identifier

Body

Recovery information with an action included.Hamilton.InstrumentErrorRecovery.Models.ErrorRecovery

datestring(date-time)
uuidstring(uuid)
detailedErrorRecoveriesArray of objects or null(IEnumerable<DetailedErrorRecovery>)
inputsArray of objects or null(IEnumerable<InputValue>)
selectedActionIdinteger(int32)
selectedActionIsRecoveryboolean
errorHandlingKeystring or null
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/instrument-errors/{uuid}/action' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "date": "2025-11-06T14:46:03Z",
    "uuid": "88922548-5225-4b3d-9649-d1827147b774",
    "detailedErrorRecoveries": [],
    "inputs": [],
    "selectedActionId": 1001,
    "selectedActionIsRecovery": false,
    "errorHandlingKey": "testAppKey"
  }'

Responses

Success.

Body
datastring or null
messagestring or null
successboolean
Response
{ "data": "string", "message": "string", "success": true }

Files

Operations

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations